Bug 604151 - Kdump initrd should have only firmware for the drivers packed in initrd
Summary: Kdump initrd should have only firmware for the drivers packed in initrd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools   
(Show other bugs)
Version: 6.0
Hardware: All Linux
high
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Boris Ranto
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 14:10 UTC by Vivek Goyal
Modified: 2013-09-30 02:17 UTC (History)
6 users (show)

Fixed In Version: kexec-tools-2.0.0-90.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:00:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (777 bytes, patch)
2010-06-18 09:05 UTC, Cong Wang
no flags Details | Diff

Description Vivek Goyal 2010-06-15 14:10:44 UTC
Description of problem:

Currently we seem to be packing all the firmware blobs in kdump initrd by default and this led to increase in size of kdump initrd from 3.3 MB to 8 MB. If we can modify "mkdumprd" to include only firmware for the drivers packed into initrd, it can reduce the size of initrd and reduce the memory requirement for kdump kernel. 

Version-Release number of selected component (if applicable):

kexec-tools-2.0.0-75.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 RHEL Product and Program Management 2010-06-15 14:33:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Cong Wang 2010-06-17 09:18:15 UTC
It seems that using udev is the only way to know which driver needs which firmware.

Comment 5 Neil Horman 2010-06-17 11:24:46 UTC
modinfo can tell you all the firmware files that a given module can request

Comment 6 Cong Wang 2010-06-18 08:47:31 UTC
(In reply to comment #5)
> modinfo can tell you all the firmware files that a given module can request    

Ah, got it. thanks.

Comment 7 Cong Wang 2010-06-18 09:05:59 UTC
Created attachment 425051 [details]
proposed patch

Please try if this patch addresses your concern.

Comment 8 Cong Wang 2010-06-22 07:04:43 UTC
On my system, this reduces kdump initrd from 9.1M to 4.4M, more than 50%!

Comment 15 releng-rhel@redhat.com 2010-11-10 21:00:17 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.